package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import cn.com.countrygarden.bi.main.dto.ReviewScoreProblemDTO;
import cn.com.countrygarden.bi.main.dto.ReviewExcel.ReviewRinquDTO;
import cn.com.countrygarden.bi.main.dto.ReviewExcel.ReviewjudgeGradeDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.review.ReviewEvaluate;
import cn.com.countrygarden.bi.main.model.review.ReviewScore;
/**
 * 评选结果-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewScoreService {

    Result queryPageList(ReviewScore reviewScore, int page, int size);

    Result queryById(Integer id);

    Result add(String answer,String answenwer,AccessToken accessToken);
    Result edit(ReviewScore reviewScore, AccessToken accessToken);
    
    Result delsoce(Integer judgeId);
    Result del(Integer id);
   
    Result scoredtos(Integer investigatedid,Integer gradeid);
    
    Result scoredtost(Integer investigatedid,Integer gradeid);
    
    Result scoredtosx(Integer investigatedid,Integer gradeid);
    
    Result scoreproblem(ReviewScoreProblemDTO scoreproblem,int page,int size);
    
    Result evaluationproblem(Integer investigatedid);
    
    List<ReviewScoreProblemDTO> evaluationproblemexport(Integer investigatedid);
    
    Result updateedit(ReviewEvaluate rewet, AccessToken accessToken);
    
    Result updataflag(Integer id,Integer judgeId,Integer questionnaireId);
    
    Result scoreraid(ReviewScoreProblemDTO scoreproblem);
    
    Result reviewevaluate(Integer investigatedid,Integer questionnaireid);
    
    List<ReviewjudgeGradeDTO> reviewjudgegrade(Integer investigatedid,Integer questionnaireId);
    
    ReviewRinquDTO reviewrinqu(Integer investigatedid);
    
    List<ReviewScoreProblemDTO> scoreproblemexcl(Integer investigatedid,Integer questionnaireId);
    
    List<ReviewScoreProblemDTO> scoreproblemwenexcl(Integer investigatedid,Integer questionnaireId);
    
}